/* HTML components */
* {
	font-family: 'Open Sans', sans-serif;
}
html, body {
	background: #303030;
	font-size: 12px;
}
pre {
	white-space: normal;
	text-wrap: no-wrap;
}

/* Bootstrap components */
.container {
	padding: 0;
}
.btn[disabled] {
	text-decoration: none !important;
}
.btn-primary {
	cursor: pointer;
	text-transform: uppercase;
}
.btn-primary:focus,
.btn-primary:active, 
.btn-primary:hover {
	box-shadow: none;
	text-decoration: underline;
}
textarea {
   resize: none;
}
.has-error {
	font-weight: bold;
}
.alert {
	text-transform: uppercase;
	font-weight: bold;
}

/* Angular components */
[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
  display: none !important;
}

/* Header */
.header {
	text-align: center;
	padding: 25px;
}
.header img {
	max-width: 220px;
	margin: 0 auto;
}

/* Event title */
.eventTitle {
	text-align: center;
	padding: 25px;
	font-weight: bold;
	background: #fff;
	border-top: 6px solid #ddd;
	border-bottom: 6px solid #ddd;
	color: #555;
	text-transform: uppercase;
	font-size: 16px;
	line-height: 22px;
}

/* invitation */
.pictureContainer {
	position: relative;
}
.pictureContainer .picture {
	height: 520px;
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
	background-color: #101010;
}
.pictureContainer .message {
	position: absolute;
	width: 100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	bottom: 0px;
	padding: 15px;
	text-align: center;
	line-height: 20px;
	background: #000;
	color: #fff;
	opacity: 0.7;
	font-size: 14px;
}

/* event menu */
.eventMenu {
	background: #fff;
	color: #555;
	font-weight: bold;
	height: 75px;
	padding: 0px;
	position: relative;
	border-bottom: 1px solid #ddd;
	cursor: pointer;
	text-transform: uppercase;
}
.eventMenu[id="invitation"]:hover { background: #f0f1ff; }
.eventMenu[id="vipGuests"]:hover, .eventMenu[id="addGuest"]:hover { background: #eaffec; }
.eventMenu[id="guestsLink"]:hover { background: #ffeff0; }
.eventMenu[id="eventInfo"]:hover { background: #eaffff; }
.eventMenu[id="listInfo"]:hover { background: #fff4f8; }
.eventMenu[id="map"]:hover { background: #feedff; }
.eventMenu[id="guests"]:hover { background: #fff9e4; }
.eventMenu div {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 75px;
	height: 100%;
}
.eventMenu span {
	position: absolute;
	top: 30px;
	left: 90px;
}
.eventMenuContent {
	margin: 0px 0px 5px 0px;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	padding: 25px;
	background: #f5f5f5;
	color: #555;
	display: none;
}
.eventMenuIcon {
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.eventMenuContent h4 {
	font-weight: bold;
}

/* Specific menus: invitation */
.eventMenuContent[id="invitation"] .btn-primary {
	background: #636ae4;
	border: 1px solid #636ae4;
}
.eventMenuContent[id="invitation"] textarea {
	height: 70px;
}

/* Specific menus: vipGuests */
.eventMenuContent[id="vipGuests"] .btn-primary {
	background: #4fb058;
	border: 1px solid #4fb058;
}
.eventMenuContent[id="vipGuests"] h4 {
	margin-bottom: 20px;
}

/* Specific menus: guestsLink */
.eventMenuContent[id="guestsLink"] a {
	color: #f56b75;
}

/* Specific menus: listInfo */
.eventMenuContent[id="listInfo"] div:not(:last-child) {
	margin-bottom: 15px;
}
.eventMenuContent[id="listInfo"] div > span {
	font-weight: bold;
	display: block;
}

/* Specific menus: vipGuests */
.eventMenuContent[id="addGuest"] .btn-primary {
	background: #4fb058;
	border: 1px solid #4fb058;
}
.eventMenuContent[id="addGuest"] .alert-success span {
	font-weight: normal;
}

/* Media queries */
@media only screen and (max-width: 480px) {
	.header img {
		max-width: 150px;
	}
	.pictureContainer .picture {
		height: 300px;
	}	
}